import { Injector } from '@angular/core';
import { HttpEvent, HttpHandler, HttpInterceptor, HttpRequest } from '@angular/common/http';
import { Observable } from 'rxjs';
import { MonkeyEcxRequestQueueHandlingService } from '../services/request-queue';
import * as i0 from "@angular/core";
export declare class MonkeyEcxHttpConfigQueueInterceptor implements HttpInterceptor {
    private injector;
    private monkeyecxRequestQueueHandlingService;
    constructor(injector: Injector, monkeyecxRequestQueueHandlingService: MonkeyEcxRequestQueueHandlingService);
    intercept(request: HttpRequest<any>, next: HttpHandler): Observable<HttpEvent<any>>;
    private isQueueProperty;
    static ɵfac: i0.ɵɵFactoryDeclaration<MonkeyEcxHttpConfigQueueInterceptor, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<MonkeyEcxHttpConfigQueueInterceptor>;
}
