import { HttpErrorResponse } from '@angular/common/http';
import { MonkeyEcxRequestQueue } from '../request-queue';
export interface MonkeyEcxRequestSchedule {
    id?: string;
    url: string;
    method: string;
    params?: any;
    data?: any;
    action(data: any, sch: MonkeyEcxRequestSchedule): void;
    errorAction?(data: any, sch: MonkeyEcxRequestSchedule, err?: HttpErrorResponse): void;
    queue?: MonkeyEcxRequestQueue;
    interval?: any;
}
