export declare class MonkeyEcxUtils {
    static persistNullEmptyUndefined(tp: any): boolean;
    static getDocumentType(doc: string, country?: string): "" | "CPF" | "CNPJ" | "RUT";
    static getDocumentMask(type: string): "000.000.000-00" | "00.000.000/0000-00";
    static formatDocumentWithMask(doc: string, withType?: boolean, country?: string): string;
    static cutFirstLastName(value: string, tp?: string): string;
    static isCPFCNPJValid(document: any): boolean;
    static isValidRUT(document: string): boolean;
    static isValidUrl(txt: string): boolean;
    static isValidZipCode(zipCode: string): boolean;
    static getRandomString(len: number, charSet?: string): string;
    static handleOnlyNumbers(value: any): any;
    static handleOnlyAlphaNumeric(value: any): any;
    static capitalize(value: string): string;
    static formatZipCode(zipCode: string): string;
    static formatFileSize(size: number): string;
    static sufflue(data: any[]): any[];
    static handleBlobFile(theBlob: any, fileName: string, fileType: string): any;
    static truncate(text: string, maxLength?: number): string;
    static isLocalhost(): boolean;
    static isSameOrigin(frontend: string): boolean;
}
