import { InjectionToken } from '@angular/core';
import * as i0 from "@angular/core";
export declare const POPOVER_OPTIONS: InjectionToken<unknown>;
export declare type PopoverDir = 'rtl' | 'ltr' | 'trtl' | 'tltr' | 'ct' | 'cc' | 'cr' | 'rt' | 'rb' | 'lt' | 'lb';
export interface MonkeyEcxPopoverOptions {
    dir?: PopoverDir;
    minwidth?: boolean;
    backdrop?: boolean;
    contextmenu?: boolean;
}
export declare class MonkeyEcxPopoverOptionsDirective implements MonkeyEcxPopoverOptions {
    set options(options: MonkeyEcxPopoverOptions);
    minwidth?: boolean;
    dir?: PopoverDir;
    backdrop?: boolean;
    contextmenu?: boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<MonkeyEcxPopoverOptionsDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<MonkeyEcxPopoverOptionsDirective, "[monkeyecxPopoverOptions]", never, { "options": "monkeyecxPopoverOptions"; }, {}, never>;
}
