import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import { MonkeyEcxHandlingService } from './monkeyecx-handling.service';
import * as i0 from "@angular/core";
export declare class MonkeyEcxService {
    protected http: HttpClient;
    monkeyecxHandlingService: MonkeyEcxHandlingService;
    constructor(http: HttpClient, monkeyecxHandlingService: MonkeyEcxHandlingService);
    private handlelize;
    get<T>(url: string, options?: T): Observable<T>;
    post<T>(url: string, params: T, options?: T): Observable<T>;
    put<T>(url: string, params: T): Observable<T>;
    delete<T>(url: string, params?: T): Observable<T>;
    download<T>(url: string, options?: T, filename?: string): void;
    downloadOb<T>(url: string, options?: T, filename?: string): Observable<any>;
    static ɵfac: i0.ɵɵFactoryDeclaration<MonkeyEcxService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<MonkeyEcxService>;
}
