import { AbstractControl } from '@angular/forms';
export declare class DateValidator {
    static do(control: AbstractControl): {
        invalidDate: boolean;
    } | null;
}
export declare class DocumentValidator {
    static do(control: AbstractControl): {
        invalidCpfCnpj: boolean;
    } | null;
}
export declare class DocumentRutValidator {
    static do(control: AbstractControl): {
        invalidRut: boolean;
    } | null;
}
export declare class ZipCodeValidator {
    static do(control: AbstractControl): {
        invalidZipCode: boolean;
    } | null;
}
export declare class ComboValidator {
    static do(control: AbstractControl): {
        invalidCombo: boolean;
    } | null;
}
export declare class isTrueValidator {
    static do(control: AbstractControl): {
        invalidTrue: boolean;
    } | null;
}
export declare class PasswordMatchValidation {
    static do(control: AbstractControl): {
        passwordsNotMatching: boolean;
    } | null;
}
export declare class UrlValidator {
    static do(control: AbstractControl): {
        invalidUrl: boolean;
    } | null;
}
export declare class CustomDatesStartValidator {
    static do(control: AbstractControl): {
        dateStartMustBeLessThanAnd: boolean;
    } | null;
}
export declare class CustomDatesEndValidator {
    static do(control: AbstractControl): {
        dateEndMustBeGreaterThanStart: boolean;
    } | null;
}
export declare class UnlockRegisterBuyerValidator {
    static do(control: AbstractControl): {
        invalidUnlockRegister: boolean;
    } | null;
}
export declare class UnlockRegisterSponsorValidator {
    static do(control: AbstractControl): {
        invalidUnlockRegister: boolean;
    } | null;
}
export declare class DateRangeValidator {
    static do(control: AbstractControl): {
        invalidDateRange: boolean;
    } | null;
}
